<?php

function quna_customize_register_header( $wp_customize ) {

  // Section name
  $wp_customize->add_section(
		'quna_header',
		array(
				'title' => __('Header', 'quna'),
				'priority' => 43
		)
	);

  // CTA button label
	$wp_customize->add_setting(
			'quna_header_cta_label',
			array(
        'default'           => __('Get to know how', 'quna'),
        'sanitize_callback' => 'wp_filter_nohtml_kses',
			)
	);
	$wp_customize->add_control(
			'quna_header_cta_label',
			array(
					'label' => __( 'CTA button text', 'quna' ),
					'section' => 'quna_header',
					'type' => 'text',
					'priority' => 5,
			)
	);

  // CTA button link
  $wp_customize->add_setting(
			'quna_header_cta_link',
			array(
        'default'           => '#',
        'sanitize_callback' => 'esc_url_raw',
			)
	);
	$wp_customize->add_control(
			'quna_header_cta_link',
			array(
					'label' => __( 'CTA button link URL', 'quna' ),
					'section' => 'quna_header',
					'type' => 'url',
					'priority' => 7,
			)
	);

  // Show/hide CTA button
	$wp_customize->add_setting(
			'quna_header_hide_cta',
			array(
        'default'           => false,
        'sanitize_callback' => 'quna_secure_checkbox',
			)
	);
	$wp_customize->add_control(
			'quna_header_hide_cta',
			array(
					'label' => __( 'Display CTA button on header?', 'quna' ),
					'section' => 'quna_header',
					'type' => 'checkbox',
					'priority' => 11,
			)
	);

}
