<?php
add_action( 'quna_kirki_setup', 'quna_options_colors', 17 );
function quna_options_colors() {

  $config_id = 'quna_theme_kirki';
	$prefix = 'quna_';

	 Kirki::add_section( $prefix.'main_colors', array(
    'title'          => esc_attr__( 'Colors', 'quna' ),
    'description'    => esc_attr__( 'Personalise main color of Quna theme', 'quna' ),
    'panel'          => $prefix.'panel',
    'priority'       => 7,
	 ) );

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'header_button_background',
    'label'       => __( 'Header button background', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => 'rgba(19, 35, 68, 0.47)',
    'choices'     => [
  		'alpha' => true,
  	],
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'header_button_border',
    'label'       => __( 'Header button border', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#ecc315',
    'choices'     => [
  		'alpha' => true,
  	],
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'header_button_bg_hover',
    'label'       => __( 'Header button background hover', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#ecc315',
    'choices'     => [
  		'alpha' => true,
  	],
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'header_button_text_color',
    'label'       => __( 'Header button text', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#ecc315',
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'header_button_text_hover_color',
    'label'       => __( 'Header button text hover', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#eb3552',
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'main_menu_bar_background',
    'label'       => __( 'Main menu bar background', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => 'rgba(235, 53, 82, 0.8)',
    'choices'     => [
  		'alpha' => true,
  	],
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'mobile_menu_button_toggle',
    'label'       => __( 'Mobile menu button toggle', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#fff',
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'main_menu_link_color',
    'label'       => __( 'Main menu link', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#fff',
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'main_menu_link_color_active',
    'label'       => __( 'Main menu link color (active/hover state)', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#ecc315',
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'header_image_overlay',
    'label'       => __( 'Header image overlay', 'quna' ),
    'description' => esc_html__( 'Only applies on non-frontpage header.', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#283a47',
    'choices'     => [
  		'alpha' => true,
  	],
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'fp_header_image_overlay',
    'label'       => __( 'Frontpage header image overlay', 'quna' ),
    'description' => esc_html__( 'Only applies on frontpage header.', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => 'rgba(0,0,0,0.3)',
    'choices'     => [
  		'alpha' => true,
  	],
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'body_text_color',
    'label'       => __( 'Body text', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#606c74',
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'body_link_color',
    'label'       => __( 'Body link', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#333',
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'body_link_hover_color',
    'label'       => __( 'Body link hover', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#191970',
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'read_more_link_color',
    'label'       => __( 'Read more link', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#283a47',
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'read_more_link_hover_color',
    'label'       => __( 'Read more link text', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#fff',
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'widget_title_color',
    'label'       => __( 'Sidebar widget title', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#283a47',
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'post_title_color',
    'label'       => __( 'Post title', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#283a47',
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'heading_color',
    'label'       => __( 'General heading', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#283a47',
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'footer_widgets_area_background',
    'label'       => __( 'Footer widgets area background', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#fff',
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'footer_widgets_text_color',
    'label'       => __( 'Footer widgets text', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#606c74',
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'footer_widgets_title_color',
    'label'       => __( 'Footer widgets title', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#283a47',
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'footer_creadit_bar_background_color',
    'label'       => __( 'Footer credit bar background', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#e2e5e6',
   ]);

   Kirki::add_field( $config_id, [
    'type'        => 'color',
    'settings'    => $prefix.'footer_creadit_text_color',
    'label'       => __( 'Footer credit text', 'quna' ),
    'section'     => $prefix.'main_colors',
    'default'     => '#606c74',
   ]);

}

/**
 * Inline style
 */
add_filter('quna_inline_css', 'quna_kirki_apply_inline_style', 20, 1);
function quna_kirki_apply_inline_style($custom) {

  $prefix = 'quna_';

  $custom = $custom;

  // Menu bar
  $custom_color = '';
  $custom_color .= 'body.home .site-header .main-navigation-wrapper, body.use-main-header-footer .site-header .main-navigation-wrapper, a#to-top-anchor:hover{background-color: '.get_theme_mod($prefix.'main_menu_bar_background', 'rgba(235, 53, 82, 0.8)').'}';
  $custom_color .= 'body.home .site-header .main-navigation-wrapper .main-navigation ul.nav-menu > li > a, body.use-main-header-footer .site-header .main-navigation-wrapper .main-navigation ul.nav-menu > li > a{color: '.get_theme_mod($prefix.'main_menu_link_color', '#fff').'}';
  $custom_color .= '.main-navigation .nav-menu > li.current-menu-item > a, .main-navigation .nav-menu > li.current-menu-parent > a, .main-navigation ul.nav-menu li a:hover{color: '.get_theme_mod($prefix.'main_menu_link_color_active', '#ecc315').' !important}';
  $custom_color .= '.main-navigation .nav-menu > li.current-menu-item > a::after, .main-navigation .nav-menu > li.current-menu-parent > a::after, .main-navigation .nav-menu > li > a:hover:after {border-color: '.get_theme_mod($prefix.'main_menu_link_color_active', '#ecc315').'}';

  // Mobile menu button toggle
  $custom_color .= '.menu-toggle{color: '.get_theme_mod($prefix.'mobile_menu_button_toggle', '#fff').'}';

  // Header image overlay
  $custom_color .= 'body:not(.home):not(.use-main-header-footer) .site-header::after {background-color: '.get_theme_mod($prefix.'header_image_overlay', '#283a47').'}';

  if( empty(get_theme_mod($prefix.'header_image_overlay')) ) {
    $custom_color .= 'body:not(.home):not(.use-main-header-footer) .site-header::after {opacity: 0.6}';
  }

  // Frontpage header image overlay
  if( !empty(get_theme_mod($prefix.'fp_header_image_overlay')) ) {
    $custom_color .= 'body.home .site-header::after, body.use-main-header-footer .site-header::after {background-color: '.get_theme_mod($prefix.'fp_header_image_overlay', 'rgba(0,0,0,0.3)').'}';
  }

  // Header button
  $custom_color .= 'a.quna-main-cta-button{background-color: '.get_theme_mod($prefix.'header_button_background', 'rgba(19, 35, 68, 0.47)').'}';
  $custom_color .= 'a.quna-main-cta-button{border-color: '.get_theme_mod($prefix.'header_button_border', '#ecc315').'}';
  $custom_color .= 'a.quna-main-cta-button:hover{background-color: '.get_theme_mod($prefix.'header_button_bg_hover', '#ecc315').'}';
  $custom_color .= 'a.quna-main-cta-button:hover{border-color: '.get_theme_mod($prefix.'header_button_bg_hover', '#ecc315').'}';
  $custom_color .= 'a.quna-main-cta-button{color: '.get_theme_mod($prefix.'header_button_text_color', '#ecc315').'}';
  $custom_color .= 'a.quna-main-cta-button:hover{color: '.get_theme_mod($prefix.'header_button_text_hover_color', '#eb3552').'}';

  // Body
  $custom_color .= 'body, button, input, select, optgroup, textarea{color: '.get_theme_mod($prefix.'body_text_color', '#606c74').'}';

  // Link color
  $custom_color .= '.hentry .entry-content a{color: '.get_theme_mod($prefix.'body_link_color', '#333').'}';
  $custom_color .= '.hentry .entry-content a:hover{color: '.get_theme_mod($prefix.'body_link_hover_color', '#191970').'}';

  // Read more link
  $custom_color .= '.button.more-link{color: '.get_theme_mod($prefix.'read_more_link_color', '#283a47').'}';
  $custom_color .= '.button.more-link{border-color: '.get_theme_mod($prefix.'read_more_link_color', '#283a47').'}';
  $custom_color .= '.button.more-link:hover{background-color: '.get_theme_mod($prefix.'read_more_link_color', '#283a47').'}';
  $custom_color .= '.button.more-link:hover{color: '.get_theme_mod($prefix.'read_more_link_hover_color', '#fff').'}';

  // Post/page title
  $custom_color .= '.entry-title, .entry-title a{color: '.get_theme_mod($prefix.'post_title_color', '#283a47').'}';

  // General heading color
  $custom_color .= 'h1, h2, h3, h4, h5, h6, .comment-author .fn, .comment-author .fn a{color: '.get_theme_mod($prefix.'heading_color', '#283a47').'}';

  // Sidebar
  $custom_color .= '#secondary.widget-area .widget-title{color: '.get_theme_mod($prefix.'widget_title_color', '#283a47').'}';

  // Footer
  $custom_color .= '#footer-widgets-section.has-footer-widget{background-color: '.get_theme_mod($prefix.'footer_widgets_area_background', '#fff').'}';
  $custom_color .= '#footer-widgets-section.has-footer-widget, #footer-widgets-section.has-footer-widget .widget a:hover{color: '.get_theme_mod($prefix.'footer_widgets_text_color', '#606c74 !important').'}';
  $custom_color .= '.footer-widgets .widget-title{color: '.get_theme_mod($prefix.'footer_widgets_title_color', '#283a47').'}';
  $custom_color .= '.site-footer{background-color: '.get_theme_mod($prefix.'footer_creadit_bar_background_color', '#e2e5e6').'}';
  $custom_color .= '.site-info, .site-info a, .site-footer .site-info a:hover{color: '.get_theme_mod($prefix.'footer_creadit_text_color', '#606c74').'}';

  return $custom . apply_filters('quna_custom_colors_css', $custom_color);

}

/**
 * Custom Kirki control
 */
 add_action( 'customize_register', function( $wp_customize ) {
 	/**
 	 * The custom control class
 	 */
 	class Quna_Kirki_Controls_Notice_Control extends Kirki_Control_Base {
 		public $type = 'quna_notice';
 		public function render_content() { ?>
 			<p><?php echo __('Here are extra features you will get when Quna Design Pack plugin enabled:', 'quna'); ?></p>
      <ul style="list-style-type: disc; margin-left: 12px;">
        <li><?php echo __('Enable sticky menu upon screen scrolling', 'quna'); ?></li>
        <li><?php echo __('Display social sharing on post/page', 'quna'); ?></li>
        <li><?php echo __('Enable boxed sidebar\'s widget', 'quna'); ?></li>
        <li><?php echo __('Add background image to footer area', 'quna'); ?></li>
        <li><?php echo __('Show/hide post\'s meta', 'quna'); ?></li>
        <li><?php echo __('Change default post\'s read more link text', 'quna'); ?></li>
      </ul>

      <p><a href="https://themes.weeizz.com/quna-design-pack/" target="_blank"><?php echo __('Download here (free)', 'quna'); ?></a></p>

      <?php
 		}
 	}
 	// Register our custom control with Kirki
 	add_filter( 'kirki_control_types', function( $controls ) {
 		$controls['quna_notice'] = 'Quna_Kirki_Controls_Notice_Control';
 		return $controls;
 	} );

 } );

// Quna extra options
add_action( 'quna_kirki_setup', 'quna_options_extras', 21 );
function quna_options_extras() {

  if( class_exists('Quna_Pro_Design_Pack') ) {
    return;
  }

  $config_id = 'quna_theme_kirki';
	$prefix = 'quna_';

	 Kirki::add_section( $prefix.'extras', array(
    'title'          => esc_attr__( 'Extra options', 'quna' ),
    'panel'          => $prefix.'panel',
    'priority'       => 7,
	 ) );

   Kirki::add_field( $config_id, [
    'type'        => 'quna_notice',
    'section'     => $prefix.'extras',
   ]);

}
