<?php

add_action( 'quna_branding', 'quna_element_site_branding' );

/**
 * Site branding
 */
function quna_element_site_branding() {
  get_template_part( 'template-parts/site', 'branding' );
}

/**
 * Main navigation
 */
function quna_element_main_navigation() {
  ob_start();
  ?>

  <div class="main-navigation-wrapper">

    <?php do_action( 'quna_before_mainnav' ); ?>

    <nav id="site-navigation" class="main-navigation">
      <button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><i class="fa fa-bars"></i><span class="button-label"><?php esc_html_e( 'Menu', 'quna' ); ?></span></button>
      <?php
      wp_nav_menu( array(
        'theme_location' => 'menu-1',
        'menu_id'        => 'primary-menu',
      ) );
      ?>
    </nav><!-- #site-navigation -->

    <?php do_action( 'quna_after_mainnav' ); ?>

  </div>

  <?php
  $output = ob_get_contents();
  ob_end_clean();

  echo apply_filters( 'quna_main_navigation', $output );

}

/**
 * Sidebar
 */
function quna_element_sidebar() {
  ob_start();
  $class = (true == get_theme_mod('quna_enable_boxed_widget')) ? 'sidebar-boxed-widget' : '';
  ?>
  <aside id="secondary" class="widget-area <?php echo esc_attr($class); ?>">
  	<?php dynamic_sidebar( 'sidebar-1' ); ?>
  </aside><!-- #secondary -->
  <?php
  $output = ob_get_contents();
  ob_end_clean();

  echo apply_filters( 'quna_sidebar', $output );

}

/**
 * Footer widgets
 */
function quna_element_footer_widgets() {
  ob_start();
  ?>
  <div class="footer-widgets widget-area widget-col-5">
    <?php if ( is_active_sidebar( 'sidebar-2' ) ) { ?>
      <div class="footer-widget-area"><?php dynamic_sidebar('sidebar-2'); ?></div>
    <?php } ?>
    <?php if ( is_active_sidebar( 'sidebar-3' ) ) { ?>
      <div class="footer-widget-area"><?php dynamic_sidebar('sidebar-3'); ?></div>
    <?php } ?>
    <?php if ( is_active_sidebar( 'sidebar-4' ) ) { ?>
      <div class="footer-widget-area"><?php dynamic_sidebar('sidebar-4'); ?></div>
    <?php } ?>
    <?php if ( is_active_sidebar( 'sidebar-5' ) ) { ?>
      <div class="footer-widget-area"><?php dynamic_sidebar('sidebar-5'); ?></div>
    <?php } ?>
    <?php if ( is_active_sidebar( 'sidebar-6' ) ) { ?>
      <div class="footer-widget-area last"><?php dynamic_sidebar('sidebar-6'); ?></div>
    <?php } ?>
  </div>
  <?php
  $output = ob_get_contents();
  ob_end_clean();

  echo apply_filters( 'quna_footer_widgets', $output );
}
