;(function($) {

  'use strict'

  var mobileMenu = function() {
    if ( matchMedia( 'only screen and (max-width: 1024px)' ).matches ) {
      var menuWrapperHeight = $('.main-navigation-wrapper').height();
      var menuHeight = $('.main-navigation.toggled > div ').height();
      var menuItemsHeight = $('#primary-menu').height();
      var menuList = $('#primary-menu li').length;
      var menuListTotalHeight = menuList*48;
      var wHeight = $(window).height();

      var qViewport = wHeight-menuWrapperHeight;

      if( menuListTotalHeight >= qViewport ) {
        $('.sticky-header-on .main-navigation > div').height(qViewport);
      } else {
        $('html').addClass('short-mobile-menu');
      }

    }
  };

  var stickyMenu = function() {

    if( $('body').hasClass('admin-bar') ) {

      if ( matchMedia( 'only screen and (max-width: 600px)' ).matches ) {
        $('.sticky-header-on .site-header .main-navigation-wrapper').stickThis({
      		top:            0,
      		minscreenwidth: 100,
      		maxscreenwidth: 600,
      		zindex:         9999,
      		debugmode:      false,
      		pushup:         ''
      	});
      }

      if ( matchMedia( 'only screen and (min-width: 601px) and (max-width: 782px)' ).matches ) {
        $('.sticky-header-on .site-header .main-navigation-wrapper').stickThis({
      		top:            46,
      		minscreenwidth: 601,
      		maxscreenwidth: 999999,
      		zindex:         9999,
      		debugmode:      false,
      		pushup:         ''
      	});
      }

      if ( matchMedia( 'only screen and (min-width: 783px)' ).matches ) {
        $('.sticky-header-on .site-header .main-navigation-wrapper').stickThis({
      		top:            30,
      		minscreenwidth: 601,
      		maxscreenwidth: 999999,
      		zindex:         9999,
      		debugmode:      false,
      		pushup:         ''
      	});
      }

    } else {

      $('.sticky-header-on .site-header .main-navigation-wrapper').stickThis({
        top:            0,
        minscreenwidth: 100,
        maxscreenwidth: 999999,
        zindex:         9999,
        debugmode:      false,
        pushup:         ''
      });

    }

  };

  var brandingHeight = function() {
    $(window).on('load resize', function() {

      var hHeader = $('.home .site-header').outerHeight()-85;
      var hBranding = $('.home .site-branding').outerHeight();

      if( hBranding > hHeader ) {
        $('.home .site-header').addClass('taller-header').height(hBranding+117);
      }

    });
  };

  var postNav = function() {
    if( $('.post-navigation').length ) {
      if( $('.post-navigation .nav-links > div').length < 2 ) {
        $('.nav-links').addClass('single-nav');
      }
    }
  };

  var anchorToTop = function() {
		$('#to-top-anchor').on('click', function() {
			$("html, body").animate({ scrollTop: 0 }, 1000);
			return false;
		});
	};

  var viewportVisible = function() {
    $(window).scroll(function(){
        function elementScrolled(elem) {
            var docViewTop = $(window).scrollTop();
            var docViewBottom = docViewTop + $(window).height();
            var elemTop = $(elem).offset().top;
            return ((elemTop <= docViewBottom) && (elemTop >= docViewTop));
        }

        if(elementScrolled('#footer-widgets-section')) {
            $('body').addClass('footer-is-visible');
            $('a#to-top-anchor').removeClass('is_floating');
        } else {
            $('body').removeClass('footer-is-visible');
        }
    });
  };

  $(function() {
    mobileMenu();
    stickyMenu();
    brandingHeight();
    postNav();
    anchorToTop();
    viewportVisible();
  });

})(jQuery);
